If you are using Internet Explorer, please remove blackberry.com from your compatibility view settings.

Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Adobe AIR Development

Reply
New Contributor
clozertou
Posts: 4
Registered: ‎03-25-2013
My Device: Playbook
My Carrier: Voda
Accepted Solution

Flash Builder 4.7 , Flex 4.9.1 and AIR 3.4 for Playbook?

Hi there,

 

im developing an app using Flash Builder 4.7, Flex 4.9.1 and AIR 3.4 for multiple platforms. My question is when i will deploy to Playbook, is mentioned configuration can cause issues or not?

What should i do to make sure my apps runs on playbook, and other devices too! using Flash Builder 4.7

 

Thanks

Please use plain text.
Developer
jtegen
Posts: 6,541
Registered: ‎10-27-2010
My Device: HTC One, PlayBook, LE Z10, DE Q10
My Carrier: Verizon

Re: Flash Builder 4.7 , Flex 4.9.1 and AIR 3.4 for Playbook?

PlayBook (and BB10) currently only supports AIR 3.1.
Please use plain text.
New Contributor
clozertou
Posts: 4
Registered: ‎03-25-2013
My Device: Playbook
My Carrier: Voda

Re: Flash Builder 4.7 , Flex 4.9.1 and AIR 3.4 for Playbook?

So what should i do?
Flash Builder 4.7 comes with Air 3.4 :/
Please use plain text.
Developer
jtegen
Posts: 6,541
Registered: ‎10-27-2010
My Device: HTC One, PlayBook, LE Z10, DE Q10
My Carrier: Verizon

Re: Flash Builder 4.7 , Flex 4.9.1 and AIR 3.4 for Playbook?

When you install the BB SDK, it should contain everything you need. Be certain to quit FB when installing the SDK.
Please use plain text.
Developer
pyth
Posts: 485
Registered: ‎01-19-2011
My Device: My Trusty Red Plane
My Carrier: Outer Space

Re: Flash Builder 4.7 , Flex 4.9.1 and AIR 3.4 for Playbook?

Also, you can set the properties in your project. (Assuming you create ActionScript Project,) Under Project -> Properties -> ActionScript Compiler , you can set the minimum version of the Flash Player required by the Flex SDK. If you use 10.0.0, you should be on the safe side. Keep in mind that you cannot use features of Flash Player 11 or AIR 3.1 upwards

Additionally, in the same window, you can set additional compiler arguments. I think you can set the AIR version specifically too

Alternatively, you can use a different IDE (FlashDevelop? FDT?) where you can probably set the AIR version

-----------------------------------------------------------------------
I'm a bird from outer space. But I'm not flappy o.o
Please use plain text.
Developer
jtegen
Posts: 6,541
Registered: ‎10-27-2010
My Device: HTC One, PlayBook, LE Z10, DE Q10
My Carrier: Verizon

Re: Flash Builder 4.7 , Flex 4.9.1 and AIR 3.4 for Playbook?

You can also use a different workspace that has different settings as well.
Please use plain text.